'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var GetClassName = function (_a) {
    var classNameBase = _a.classNameBase, additionalClassList = _a.additionalClassList;
    return (additionalClassList === undefined || additionalClassList.length == 0)
        ? classNameBase
        : classNameBase + " " + additionalClassList.join(" ");
};

var GETRequest = function (_a) {
    var url = _a.url;
    var options = {
        method: 'GET',
        mode: 'cors',
        cache: 'no-cache',
        credentials: 'same-origin',
        headers: { 'Content-Type': 'application/json' },
        redirect: 'follow',
        referrerPolicy: 'no-referrer'
    };
    fetch(url, options)
        .then(function (response) { return response.json(); })
        .then(function (data) { return console.log(data); });
};

var POSTRequest = function (_a) {
    var url = _a.url, body = _a.body;
    var options = {
        method: 'POST',
        mode: 'cors',
        cache: 'no-cache',
        credentials: 'same-origin',
        headers: { 'Content-Type': 'application/json' },
        redirect: 'follow',
        referrerPolicy: 'no-referrer',
        body: JSON.stringify({ data: body })
    };
    fetch(url, options)
        .then(function (response) { return response.json(); })
        .then(function (data) { return console.log(data); });
};

var GetCookie = function (_a) {
    var cname = _a.cname;
    var name = cname + "=";
    var decodedCookie = decodeURIComponent(document.cookie);
    var ca = decodedCookie.split(';');
    for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == ' ') {
            c = c.substring(1);
        }
        if (c.indexOf(name) == 0) {
            return c.substring(name.length, c.length);
        }
    }
    return "";
};

var GetExpireDate = function (_a) {
    var now = new Date();
    var time = now.getTime();
    var expireTime = time + 3600 * 1000 * 24 * 366 * 10;
    now.setTime(expireTime);
    return now;
};

var ScrollSmoothly = function (_a) {
    window.scrollTo({
        top: 0,
        left: 0,
        behavior: 'smooth'
    });
};

exports.GETRequest = GETRequest;
exports.GetClassName = GetClassName;
exports.GetCookie = GetCookie;
exports.GetExpireDate = GetExpireDate;
exports.POSTRequest = POSTRequest;
exports.ScrollSmoothly = ScrollSmoothly;
//# sourceMappingURL=index.js.map
